Debian Bug report logs - #517338
openjdk-6-jre: /usr/lib/jni not in library path

version graph

Package: openjdk-6-jre-headless; Maintainer for openjdk-6-jre-headless is OpenJDK Team <openjdk@lists.launchpad.net>; Source for openjdk-6-jre-headless is src:openjdk-6.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>

Date: Fri, 27 Feb 2009 02:06:01 UTC

Severity: serious

Tags: confirmed, help, patch

Found in version openjdk-6/6b14-1~exp1

Fixed in version openjdk-6/6b14-1.5~pre1-5

Done: Matthias Klose <doko@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#517338; Package openjdk-6-jre-headless. (Fri, 27 Feb 2009 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 27 Feb 2009 02:06:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openjdk-6-jre: /usr/lib/jni not in library path
Date: Fri, 27 Feb 2009 02:04:39 +0000
[Message part 1 (text/plain, inline)]
Package: openjdk-6-jre-headless
Version: 6b14-1~exp1
Severity: serious

According to Debian Java Policy[0], /usr/lib/jni *must* be in the
default library path, but it isn't:

  lakeview ok % java -cp /usr/share/java/unix.jar cx.ath.matthew.unix.testserver
  Exception in thread "main" java.lang.UnsatisfiedLinkError: no unix-java in java.library.path
  	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1698)
  	at java.lang.Runtime.loadLibrary0(Runtime.java:840)
  	at java.lang.System.loadLibrary(System.java:1047)
  	at cx.ath.matthew.unix.UnixServerSocket.<clinit>(UnixServerSocket.java:29)
  	at cx.ath.matthew.unix.testserver.main(testserver.java:33)
  lakeview ok % ls /usr/lib/jni 
  libunix-java.so

The testcase in question is from libunixsocket-java; running with
-Djava.library.path=/usr/lib/jni makes it work.

There is a corresponding bug on sun-java5-jre.

[0] http://www.debian.org/doc/packaging-manuals/java-policy/c36.html#policy-vm

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjdk-6-jre-headless depends on:
ii  ca-certificates-java   20081028          Common CA certificates (JKS keysto
ii  dpkg                   1.14.25           Debian package management system
ii  java-common            0.31              Base of all Java packages
ii  libaccess-bridge-java  1.23.0-3          Java Access Bridge for GNOME
ii  libc6                  2.9-3             GNU C Library: Shared libraries
ii  libcups2               1.3.9-14          Common UNIX Printing System(tm) - 
ii  libfreetype6           2.3.7-2           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.3-4         GCC support library
ii  liblcms1               1.17.dfsg-1       Color management library
ii  openjdk-6-jre-lib      6b14-1~exp1       OpenJDK Java runtime (architecture
ii  rhino                  1.7R1-2           JavaScript engine written in Java
ii  tzdata-java            2009b-1           time zone and daylight-saving time
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

openjdk-6-jre-headless recommends no packages.

Versions of packages openjdk-6-jre-headless suggests:
ii  libnss-mdns             0.10-3           NSS module for Multicast DNS name 
pn  sun-java6-fonts         <none>           (no description available)
ii  ttf-arphic-uming        0.2.20080216.1-3 "AR PL UMing" Chinese Unicode True
ii  ttf-baekmuk             2.2-2            Baekmuk series TrueType fonts
ii  ttf-dejavu-core         2.28-2           Vera font family derivate with add
ii  ttf-indic-fonts         1:0.5.4          Metapackage for free Indian langua
ii  ttf-kochi-mincho        20030809-1       Kochi Subst Mincho Japanese TrueTy
ii  ttf-sazanami-gothic     20040629-2       Sazanami Gothic Japanese TrueType 
ii  ttf-sazanami-mincho     20040629-2       Sazanami Mincho Japanese TrueType 

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#517338; Package openjdk-6-jre-headless. (Mon, 16 Mar 2009 10:49:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 16 Mar 2009 10:49:37 GMT) Full text and rfc822 format available.

Message #10 received at 517338@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 517338@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: [Openjdk] Bug#517338: openjdk-6-jre: /usr/lib/jni not in library path
Date: Mon, 16 Mar 2009 08:45:05 +0100
tags 517338 + confirmed
tags 517338 + help
thanks

brian m. carlson schrieb:
> Package: openjdk-6-jre-headless
> Version: 6b14-1~exp1
> Severity: serious
> 
> According to Debian Java Policy[0], /usr/lib/jni *must* be in the
> default library path, but it isn't:

I have never seen a rationale for this policy, but it's there ... I'd like to
downgrade it, other VM's like sun-java[56] don't honor it as well. Care to send
a patch?





Tags added: confirmed Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Mon, 16 Mar 2009 10:50:00 GMT) Full text and rfc822 format available.

Tags added: help Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Mon, 16 Mar 2009 10:50:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#517338; Package openjdk-6-jre-headless. (Mon, 16 Mar 2009 18:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 16 Mar 2009 18:30:02 GMT) Full text and rfc822 format available.

Message #19 received at 517338@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Matthias Klose <doko@ubuntu.com>
Cc: 517338@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: [Openjdk] Bug#517338: openjdk-6-jre: /usr/lib/jni not in library path
Date: Mon, 16 Mar 2009 18:18:37 +0000
[Message part 1 (text/plain, inline)]
tags 517338 + patch
kthxbye

On Mon, Mar 16, 2009 at 08:45:05AM +0100, Matthias Klose wrote:
>brian m. carlson schrieb:
>> According to Debian Java Policy[0], /usr/lib/jni *must* be in the
>> default library path, but it isn't:
>
>I have never seen a rationale for this policy, but it's there ... I'd like to
>downgrade it, other VM's like sun-java[56] don't honor it as well. Care to send
>a patch?

Well, whether it's honored or not by JVMs, other packages are relying on
it[0].  I'd prefer that you not downgrade it, since it is mandated by
policy; if the policy changes, then feel free to downgrade it (and clone
this bug to libunixsocket-java, stating that it needs to put its shared
library somewhere else).

A patch (to one of the IcedTea patches) is enclosed; this should
search /usr/lib{64,}/jni before the normal system directories, but I
haven't tested it.  If you really want me to bootstrap it, let me know;
I won't be able to get to it any sooner than to-morrow.

[0] gcj has this path in its java.library.path; in fact, other than the
gcj-specific directory, that's the only directory that's in there.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[openjdk-6.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Mon, 16 Mar 2009 18:30:05 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@ubuntu.com>:
You have taken responsibility. (Thu, 19 Mar 2009 15:45:08 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. (Thu, 19 Mar 2009 15:45:09 GMT) Full text and rfc822 format available.

Message #26 received at 517338-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 517338-close@bugs.debian.org
Subject: Bug#517338: fixed in openjdk-6 6b14-1.5~pre1-5
Date: Thu, 19 Mar 2009 15:22:42 +0000
Source: openjdk-6
Source-Version: 6b14-1.5~pre1-5

We believe that the bug you reported is fixed in the latest version of
openjdk-6, which is due to be installed in the Debian FTP archive:

icedtea-6-jre-cacao_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/icedtea-6-jre-cacao_6b14-1.5~pre1-5_armel.deb
icedtea-6-jre-cacao_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/icedtea-6-jre-cacao_6b14-1.5~pre1-5_i386.deb
icedtea6-plugin_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/icedtea6-plugin_6b14-1.5~pre1-5_armel.deb
icedtea6-plugin_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/icedtea6-plugin_6b14-1.5~pre1-5_i386.deb
openjdk-6-dbg_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/openjdk-6-dbg_6b14-1.5~pre1-5_armel.deb
openjdk-6-dbg_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-dbg_6b14-1.5~pre1-5_i386.deb
openjdk-6-demo_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/openjdk-6-demo_6b14-1.5~pre1-5_armel.deb
openjdk-6-demo_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-demo_6b14-1.5~pre1-5_i386.deb
openjdk-6-doc_6b14-1.5~pre1-5_all.deb
  to pool/main/o/openjdk-6/openjdk-6-doc_6b14-1.5~pre1-5_all.deb
openjdk-6-jdk_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/openjdk-6-jdk_6b14-1.5~pre1-5_armel.deb
openjdk-6-jdk_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-jdk_6b14-1.5~pre1-5_i386.deb
openjdk-6-jre-headless_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/openjdk-6-jre-headless_6b14-1.5~pre1-5_armel.deb
openjdk-6-jre-headless_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-jre-headless_6b14-1.5~pre1-5_i386.deb
openjdk-6-jre-lib_6b14-1.5~pre1-5_all.deb
  to pool/main/o/openjdk-6/openjdk-6-jre-lib_6b14-1.5~pre1-5_all.deb
openjdk-6-jre-zero_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-jre-zero_6b14-1.5~pre1-5_i386.deb
openjdk-6-jre_6b14-1.5~pre1-5_armel.deb
  to pool/main/o/openjdk-6/openjdk-6-jre_6b14-1.5~pre1-5_armel.deb
openjdk-6-jre_6b14-1.5~pre1-5_i386.deb
  to pool/main/o/openjdk-6/openjdk-6-jre_6b14-1.5~pre1-5_i386.deb
openjdk-6-source-files_6b14-1.5~pre1-5_all.deb
  to pool/main/o/openjdk-6/openjdk-6-source-files_6b14-1.5~pre1-5_all.deb
openjdk-6-source_6b14-1.5~pre1-5_all.deb
  to pool/main/o/openjdk-6/openjdk-6-source_6b14-1.5~pre1-5_all.deb
openjdk-6_6b14-1.5~pre1-5.diff.gz
  to pool/main/o/openjdk-6/openjdk-6_6b14-1.5~pre1-5.diff.gz
openjdk-6_6b14-1.5~pre1-5.dsc
  to pool/main/o/openjdk-6/openjdk-6_6b14-1.5~pre1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517338@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@ubuntu.com> (supplier of updated openjdk-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Mar 2009 09:37:20 +0100
Source: openjdk-6
Binary: openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre openjdk-6-jre-lib openjdk-6-demo openjdk-6-source openjdk-6-doc openjdk-6-dbg icedtea6-plugin openjdk-6-source-files icedtea-6-jre-cacao openjdk-6-jre-zero
Architecture: all armel i386 source 
Version: 6b14-1.5~pre1-5
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Matthias Klose <doko@ubuntu.com>
Closes: 517338
Description:
 icedtea-6-jre-cacao - Alternatve JVM for OpenJDK, using Cacao
 icedtea6-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 openjdk-6-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-6-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-6-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-6-jdk - OpenJDK Development Kit (JDK)
 openjdk-6-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-6-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-6-jre-zero - Alternatve JVM for OpenJDK, using Zero/Shark
 openjdk-6-source - OpenJDK Development Kit (JDK) source files
 openjdk-6-source-files - OpenJDK 6 source files (used as a build dependency)
Changes:
 openjdk-6 (6b14-1.5~pre1-5) unstable; urgency=low
 .
   * Fix build failure on armel.
   * Require the final cacao-0.99.4 release.
   * Add /usr/lib/jni to the library path. Closes: #517338.
Checksums-Sha1: 
 0dd005d3133a6c334fd0a6438b1b369463976972 57184144 openjdk-6-source-files_6b14-1.5~pre1-5_all.deb
 1ab770ff6e0d736b4cf7549140747a7abe95a2e1 40112188 openjdk-6-dbg_6b14-1.5~pre1-5_armel.deb
 4315fd175529ee32ad6a0894cf9ae12d9dca376b 25661420 openjdk-6-jre-headless_6b14-1.5~pre1-5_i386.deb
 5ae60ec98fdac01264b3af224821e8fd5633caf6 10975202 openjdk-6-jdk_6b14-1.5~pre1-5_i386.deb
 5c76721d9fedc07164dbd503d24e78f330b18966 23149078 openjdk-6-jre-headless_6b14-1.5~pre1-5_armel.deb
 663cdfa863b2124c6772b36d072b730e19dc9e0c 73364 icedtea6-plugin_6b14-1.5~pre1-5_i386.deb
 35de6762fdf086b50b5e306240eb78cd76c941d0 2374 openjdk-6_6b14-1.5~pre1-5.dsc
 72b91ab3bbe0769052adf54a971f5937d5495e04 251812 openjdk-6-jre_6b14-1.5~pre1-5_i386.deb
 836479d896e73509fc2ffec77a7c709aa67d3e92 1353312 openjdk-6-jre-zero_6b14-1.5~pre1-5_i386.deb
 84bebac7d5a74b96952e3cccbc174e1ef7b70738 2339096 openjdk-6-demo_6b14-1.5~pre1-5_i386.deb
 8d6fd9ca2a4c2bd5de86f343aed5e4f88537f56f 11940058 openjdk-6-doc_6b14-1.5~pre1-5_all.deb
 929f0e27dc761ffe4298ae24f6bf0a7c1496a876 2318780 openjdk-6-demo_6b14-1.5~pre1-5_armel.deb
 9416deb949bed5988bf2ebece9a08e5c84671110 173771 openjdk-6_6b14-1.5~pre1-5.diff.gz
 ad47b9a6eaf02331b76efb21f363dfbc0eb65885 149753844 openjdk-6-dbg_6b14-1.5~pre1-5_i386.deb
 cca0ffe898e69b85aa87e8bf596fb9bb5513a833 26611728 openjdk-6-source_6b14-1.5~pre1-5_all.deb
 d63e8b0c7ddc365ade980f3a3452e3d562ebf843 263744 openjdk-6-jre_6b14-1.5~pre1-5_armel.deb
 e9ecbccc9f5c261aac88fb5d392a28eabc3f768e 290678 icedtea-6-jre-cacao_6b14-1.5~pre1-5_i386.deb
 ef1a3770ef9a5c05184ddd6d7312a4142cc0e0de 71588 icedtea6-plugin_6b14-1.5~pre1-5_armel.deb
 f753588ae21436428f8817a2a63f58e5694edfc4 312446 icedtea-6-jre-cacao_6b14-1.5~pre1-5_armel.deb
 fa8a5533d6be5cd246530d93680abb18e6b039ab 8845570 openjdk-6-jdk_6b14-1.5~pre1-5_armel.deb
 fcf806cf31d219cd1976d98686550a35df855e58 5244524 openjdk-6-jre-lib_6b14-1.5~pre1-5_all.deb
Checksums-Sha256: 
 053a9a1ed103caba2d3b4b06bc90fbb45c4343ae41438c847c6f87dd8e18c6cc 73364 icedtea6-plugin_6b14-1.5~pre1-5_i386.deb
 0d2179088705b06c5a117fe99fd258fa9ff84fcec0d31c0389c9d5042cea1e1f 71588 icedtea6-plugin_6b14-1.5~pre1-5_armel.deb
 b8cc19f629825b37f3a9c9ab247b0c43001649f88fba1962b4c59fafae638f63 2374 openjdk-6_6b14-1.5~pre1-5.dsc
 3198309bbad0255949100438a5a42fb3865bf616c9ceb391a751ee0dd072ade1 312446 icedtea-6-jre-cacao_6b14-1.5~pre1-5_armel.deb
 3878e57f9dd7bfbab6f7545a0420b81421e5ec17245f7cb9735218a3d8db3d97 23149078 openjdk-6-jre-headless_6b14-1.5~pre1-5_armel.deb
 4314c158ce00a4f74f3552c1b50fded2a92d788d48e23cd2b7d82bef20bf480d 5244524 openjdk-6-jre-lib_6b14-1.5~pre1-5_all.deb
 53e3c0eaf9af8aa2adb4cd8e58b9ef450c163fba4199ba863b993302bf1fb2e6 1353312 openjdk-6-jre-zero_6b14-1.5~pre1-5_i386.deb
 56f3c7eb7d99bf1ae597e6f7a15070079448dceff7483d09b013b145b7c065bb 10975202 openjdk-6-jdk_6b14-1.5~pre1-5_i386.deb
 87e621c083a0f3ab3fe25bfd2026971ba96f2eb6be75af3334ee42811474a66a 290678 icedtea-6-jre-cacao_6b14-1.5~pre1-5_i386.deb
 9bc1a4cf4b8c0cde59f110b58a7d84491605369c7dd891e3727e479c945e4402 251812 openjdk-6-jre_6b14-1.5~pre1-5_i386.deb
 ba778274516a022783d4a89473fdc283e6ca4ff1fd225ef4f6552f0baea1e1b9 11940058 openjdk-6-doc_6b14-1.5~pre1-5_all.deb
 c0f5904d41fa36c0ea3c9b507f101d8d48839ef6334974213f19aa16e1643704 149753844 openjdk-6-dbg_6b14-1.5~pre1-5_i386.deb
 ce2968724d055a13108ec6cc7b7586417a3a7c01e31aa4b402f6dc9d1e7f1ac5 263744 openjdk-6-jre_6b14-1.5~pre1-5_armel.deb
 cee24cb1d3781f8a9fb4fd655f9586ca57e443f7421ccf53c32a30af4e7a139d 25661420 openjdk-6-jre-headless_6b14-1.5~pre1-5_i386.deb
 d594dd0b9d785b49f378b5efa9834c7cf29956aefbe9e1c2f2352dae1075a0ee 40112188 openjdk-6-dbg_6b14-1.5~pre1-5_armel.deb
 e2f95ad5e01b5f31437cf6800c6a34319dcb221d991ac385cc2e8092491f6e02 2318780 openjdk-6-demo_6b14-1.5~pre1-5_armel.deb
 e6a6d54035779c4844bdb558d1ca43cb888a28a3e39bc1546a9e803bade66da3 26611728 openjdk-6-source_6b14-1.5~pre1-5_all.deb
 ef6c8011f9c3b8c61a16995c3e6e1f7fc87c6cc33b24bed3417995bcd1c26fa1 173771 openjdk-6_6b14-1.5~pre1-5.diff.gz
 f78b51a470c60b3009b68d6e1150cc36154a9b807606ddae0694cf18726587c3 2339096 openjdk-6-demo_6b14-1.5~pre1-5_i386.deb
 f7974254004b564767ccf55ee46cae0ca6e563746ed68eb9d873280167b7bc91 57184144 openjdk-6-source-files_6b14-1.5~pre1-5_all.deb
 fdb7b00734bd9d473d9b30e20753fd6e7ff9d5b1f490c078b9930cd0514976d4 8845570 openjdk-6-jdk_6b14-1.5~pre1-5_armel.deb
Files: 
 1d4e3d268349521d6e4f7344847e5740 312446 interpreters extra icedtea-6-jre-cacao_6b14-1.5~pre1-5_armel.deb
 1fd9f60628fcca8761be9e9bde72e773 11940058 doc extra openjdk-6-doc_6b14-1.5~pre1-5_all.deb
 49171f5c34cd904ab98eb0c9832b0e4d 26611728 devel extra openjdk-6-source_6b14-1.5~pre1-5_all.deb
 4bad4dda826e8ef74c6bfede69ff20fb 149753844 devel extra openjdk-6-dbg_6b14-1.5~pre1-5_i386.deb
 6a81e076be3a986a70d8c7e61616cb57 2339096 devel extra openjdk-6-demo_6b14-1.5~pre1-5_i386.deb
 81c1274b02c8bb6a231236ab9586eafa 57184144 devel extra openjdk-6-source-files_6b14-1.5~pre1-5_all.deb
 8d873a77054bb6b97153803c5c8bc906 40112188 devel extra openjdk-6-dbg_6b14-1.5~pre1-5_armel.deb
 932b7837d2adebe1b37a94381997805f 8845570 devel extra openjdk-6-jdk_6b14-1.5~pre1-5_armel.deb
 a6d4ff36f5154fed64c0880ea45f4163 25661420 interpreters extra openjdk-6-jre-headless_6b14-1.5~pre1-5_i386.deb
 a6e3c10f2db38b391a868619c6ccf013 10975202 devel extra openjdk-6-jdk_6b14-1.5~pre1-5_i386.deb
 b7616a599c5b8f6a9352403d737a6674 5244524 interpreters extra openjdk-6-jre-lib_6b14-1.5~pre1-5_all.deb
 b7f7210b18fb169e586482a7712584d9 263744 interpreters extra openjdk-6-jre_6b14-1.5~pre1-5_armel.deb
 be932e324afbeba5293d9fbfda73d2d7 251812 interpreters extra openjdk-6-jre_6b14-1.5~pre1-5_i386.deb
 bf0d44e4cf0c9d624c66e1fe737e5ca7 1353312 interpreters extra openjdk-6-jre-zero_6b14-1.5~pre1-5_i386.deb
 cf6b817f6ec3de06366845233f0929df 73364 web extra icedtea6-plugin_6b14-1.5~pre1-5_i386.deb
 d9aa47db74facd3a2efc63c1ac4fc842 71588 web extra icedtea6-plugin_6b14-1.5~pre1-5_armel.deb
 dad26fa7663c92a0d4d34d35769a78fd 2318780 devel extra openjdk-6-demo_6b14-1.5~pre1-5_armel.deb
 e1b54ac5d4e502c1670bb88eebde53c4 173771 devel extra openjdk-6_6b14-1.5~pre1-5.diff.gz
 e2b732e2c24ecee7a63e30342f6f68e6 23149078 interpreters extra openjdk-6-jre-headless_6b14-1.5~pre1-5_armel.deb
 2ea6cac61933964b2fb709561b044b8f 2374 devel extra openjdk-6_6b14-1.5~pre1-5.dsc
 f4782313da476080939dd0041f4040c8 290678 interpreters extra icedtea-6-jre-cacao_6b14-1.5~pre1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknCVUcACgkQStlRaw+TLJwjZACeP3YSwYXvqeiy/ff/5QSfeU3U
VyAAnAv+Mvw757hOkgG1+7SrCihg6QQ+
=H85w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Apr 2009 07:30:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:15:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.